<script>
	import Multiselect from '@vueform/multiselect'
	import '@vueform/multiselect/themes/default.css'
	import { inject } from 'vue';

	export default {
	  components: {
	    Multiselect,
	  },
	  setup(props) {
	  const csrf = inject('csrf');

    
    

	  return {
	    csrf,
	  };
	},
	  data() {

	    return {
	      RFC: this.variables.servidorPublico.rfc ,
        ID: '',
        sancionID:'',
	      CURP: this.variables.servidorPublico.curp,
        primerApellido:this.variables.servidorPublico.primerApellido,
        nombres: this.variables.servidorPublico.nombres,
        segundoApellido:this.variables.servidorPublico.segundoApellido,
        puesto:'',
        nivel:'',
        genero:this.variables.servidorPublico.genero.valor,
        expediente:'',
        autoridadSancionadora:'',
        observaciones:'',
        causa:'',
        fechaResolucion:'',
        urlResolucion:'',

		datosTabla: [],

		Institucion:this.variables.servidorPublico.institucionDependencia.nombre,
		
		
        otro:null,
        plazo:this.variables.sancion?.inhabilitacion?.plazo,
        edicionHabilitadaDatosPersonales: false,
        camposDeshabilitadosDatosPersonales: true,

        multaId: this.variables.sancion?.multa?.id,

        inhabilitacionId: this.variables.sancion?.inhabilitacion?.id,

        


	    }
	  },
	  props: {
	    variables: Object,
      
	},
	watch: {
	  Calles: function(newValue) {
	    // Cuando se selecciona una opción en el menú desplegable, actualiza CallesValor
	    this.CallesValor = this.OpcionesCalles.find(opcion => opcion.id === newValue).valor;

	  },





	  Localidad: function(newValue) {
	    // Cuando se selecciona una opción en el menú desplegable, actualiza CallesValor
	    this.LocalidadValor = this.LocalidadesOpciones.find(opcion => opcion.clave === newValue).valor;

	  },

	  TiposSancionSeleccionados: function(newValue) {

	  // Obtener los IDs de las opciones seleccionadas
	  const selectedIds = newValue.map(option => {
	    const selectedOption = this.Sanciones.find(sancion => sancion.valor === option);
	    return selectedOption ? selectedOption.id : null;
	  });


    const selectedNombres = newValue.map(option => {
    const selectedOption = this.Sanciones.find(sancion => sancion.valor === option);
    return selectedOption ? selectedOption.valor : null;
    });


	  this.sancionesNombre = selectedNombres
	  this.sancionesIds = selectedIds;
    console.log(this.sancionesIds)
	},





	},

	mounted(){
	  const csrf = inject('csrf');
	  this.datosTabla = this.variables.servidorPublico.sanciones;

	},
	methods: {



  detalles(id){

window.location.href = route('sanciones.show',id);


},




	},

    created() {
    // Agregar un formulario de documento por defecto cuando se crea el componente
  
  },

  


	}

</script>


<template>

        <!-- start page title -->
        <div class="row">
          <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
              <h4 class="mb-sm-0 font-size-18">Detalle de servidor publico</h4>
            </div>
          </div>
        </div>
        <!-- end page title -->




            <!-- Contenido de la primera pestaña -->
            <div class="card">
                <div class="card-body">
                  <ul class="nav nav-pills nav-justified mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item" role="presentation">
                      <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">Datos personales</button>
                    </li>
                    <li class="nav-item" role="presentation">
                      <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">Sanciones</button>
                    </li>
                  </ul>
                  <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                      <form method="POST" :action="route('servidores.publicos.edit')">
                      <h4 class="card-title mb-4">Datos personales</h4>
                      <div class="row">
                        <div class="col-md-3">
                          <div class="mb-3">
                            <label for="validationCustom03" class="form-label">RFC</label>
                            <div class="input-group">
                              <input name="rfc" disabled type="text" class="form-control" placeholder="RFC" v-model="RFC"/>
                              </div>
                            </div>
                        </div>
                        <div class="col-md-3" hidden>
                          <div class="mb-3">
                            <label for="validationCustom03" class="form-label">ID</label>
                            <div class="input-group">
                              <input name="id" type="text" class="form-control" placeholder="ID" v-model="ID"/>
                              </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                          <div class="mb-3">
                            <label for="validationCustom02" class="form-label">CURP</label>
                            <input name="curp" type="text" class="form-control" v-model="CURP" disabled>
                            <input name="curp" type="text" class="form-control" v-model="CURP" hidden>
                            <div class="valid-feedback">
                              ¡Se ve bien!
                            </div>
                          </div>
                        </div>
                        <div class="col-md-3">
                          <div class="mb-3">
                            <label for="validationCustom02" class="form-label">Nombre</label>
                            <input name="nombres" type="text" v-model="nombres" class="form-control"  disabled required>
                            <input name="nombres" type="text" v-model="nombres" class="form-control"  hidden>
                            <div class="valid-feedback">
                              ¡Se ve bien!
                            </div>
                          </div>
                        </div>
  
                        <div class="col-md-3">
                          <div class="mb-3">
                            <label for="validationCustom02" class="form-label">Primer Apellido</label>
                            <input name="primerApellido" type="text" v-model="primerApellido" class="form-control"  disabled required>
                            <input name="primerApellido" type="text" v-model="primerApellido" class="form-control"  hidden>
                            <div class="valid-feedback">
                              ¡Se ve bien!
                            </div>
                          </div>
                        </div>
  
                        <div class="col-md-4">
                          <div class="mb-3">
                            <label for="validationCustom02" class="form-label">Segundo Apellido</label>
                            <input name="segundoApellido" v-model="segundoApellido" type="text" class="form-control"  disabled>
                            <input name="segundoApellido" v-model="segundoApellido" type="text" class="form-control" hidden>
                            <div class="valid-feedback">
                              ¡Se ve bien!
                            </div>
                          </div>
                        </div>
  
                     
  
                        <div class="col-md-2">
                          <div class="mb-3">
                            <label for="validationCustom02" class="form-label">Genero</label>
                            <input name="genero"  type="text" v-model="genero" class="form-control" disabled>
                            <div class="valid-feedback">
                              ¡Se ve bien!
                            </div>
                          </div>
                        </div>
  
                        <div class="col-md-6">
                          <div class="mb-3">
                            <label for="validationCustom11" class="form-label">Institución</label>
							<input name="genero"  type="text" v-model="Institucion" class="form-control" disabled>
                          </div>
                        </div>
                        <input type="hidden" name="sancion[id]" v-model="sancionID"/>
                        <input type="hidden" name="sancion[institucionDependenciaId]" v-model="Institucion"/>
                        <input type="hidden" name="_token" :value="csrf"/>
                        <input type="hidden" name="_method" value="PUT">
                      </div>
                    </form>

                    </div>


                    <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
						<h4 class="card-title mb-4">Sanciones</h4>
						<table class="table-condensed table table-bordered dt-responsive nowrap w-100 no-footer dataTable" style="text-align: center;">
							<thead class="table-light">
							  <tr>
								<th scope="col">Expediente</th>
								<th scope="col">Institucion</th>
								<th scope="col">Autoridad sancionadora</th>
								<th scope="col">Tipos de Sanción</th>
								<th scope="col">Acciones</th>
							  </tr>
							</thead>
							<tbody>
								<tr v-for="dato in datosTabla" :key="dato.id" style="font-size: 15px;">
								  <td>{{ dato.expediente }}</td>
								  <td>{{ dato.institucionDependencia.nombre }}</td>
								  <td>{{ dato.autoridadSancionadora}}</td>
								  <td>
									<ul>
										<li v-for="tipo in dato.tiposSancion" :key="tipo.id">{{ tipo.valor }}</li>
									  </ul>
								  </td>
								  <td style="text-align: center; font-size: 20px; ">
                    <div style="display: flex; margin-left: 30px;">
                      <a title="Detalles" href="#a" @click="detalles(dato.id)" style="margin-right: 8px;" class="detalles text-warning"><i class=" mdi mdi-eye"></i></a>
                  <form method="get" :action="route('sanciones.pdf',dato.id)">
                    <button title="Detalles" type="submit" href="#a" class="detalles text-danger"><i class=" fas fa-file-pdf"></i></button>
                  </form>
                    </div>
								  </td>
								</tr>
							  </tbody>
						  </table>
                    </div>


                  </div>                
                  
                </div>
              </div>



</template>


<style>
	#BuscarCP{
	  width: 80px;
	  height: 34px;
	}

  button.detalles {
    /* Quítale los estilos de fondo y borde */
    background: none;
    border: none;
  
    /* Anula cualquier estilo de color de texto */
    color: inherit;
    /* Anula la decoración de subrayado del enlace si se aplica */
    text-decoration: none;
  
    /* Anula el estilo de cursor de puntero si se aplica */
    cursor: auto;
  
    /* Elimina el relleno y el margen si se aplican */
    padding: 0;
    margin: 0;
  
    /* Si deseas quitar el estilo de fuente predeterminado: */
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
  }

	#nuevoSancion{
	  height: 40px;
	}

	.btn-primary-check{
	  background-color: #556ee6;
	  color: white;
	}


	.multiselect-wrapper {
	    height: 10px;
	    padding: .47rem 1.75rem .47rem .75rem;
	    font-size: .8125rem;
	}

	.tipoSancion {
	  height: 70px
	}

	.dashed-line {
	    border-top: 1px solid  #e6e3e3;
	    margin-top: 20px; /* Ajusta la separación si es necesario */
	}

  .multiselect-tag{
    background: #6045ca;
  }

  .dashed-line-row {
    border-top: 1px solid  #e6e3e3;
    margin-top: 20px;
    width:98%;
}

</style>
